AT-NFC 2.1 (win) AT-NFC kernel set

Typedefs | Functions
HAL System functions API

HAL system functions Interface. More...

## Typedefs
typedef KER_BYTE(CLB_API * | T_NFC_CALLBACK_SYS_GET_DATE_TIME) (T_NFC_CLB_CTX_PARAM KER_BYTE *pbtDateTimeBuffer, KER_BYTE btDateTimeBufferLen)
| Provides local terminal date & time for Kernel. More...
typedef KER_BYTE(CLB_API * | T_NFC_CALLBACK_SYS_GET_UTC_DATE_TIME) (T_NFC_CLB_CTX_PARAM KER_BYTE *pbtDateTimeBuffer, KER_BYTE btDateTimeBufferLen)
| Provides terminal UTC date & time for Kernel. More...

## Functions
KER_BYTE | hal_sys_get_date_time (KER_CTX_PARAM KER_BYTE *pbtDateTimeBuffer, KER_BYTE btDateTimeBufferLen)
| Provides local terminal date & time for Kernel. More...
KER_BYTE | hal_sys_get_utc_date_time (KER_CTX_PARAM KER_BYTE *pbtDateTimeBuffer, KER_BYTE btDateTimeBufferLen)
| Provides terminal UTC date & time for Kernel. More...
KER_INT32U | hal_sys_get_100microsec_time_stamp (KER_CTX_SINGLE_PARAM)
| Provides terminal timestamp for Kernel (in 100 microsec resolution) More...
KER_VOID | hal_sys_sleep (KER_CTX_PARAM KER_INT32U ulTimeout)
| Sleeps for specified timeout. More...

## Detailed Description

HAL system functions Interface.

This functions should be implemented by terminal application

## Typedef Documentation

## ◆ T_NFC_CALLBACK_SYS_GET_DATE_TIME

typedef KER_BYTE(CLB_API * T_NFC_CALLBACK_SYS_GET_DATE_TIME) (T_NFC_CLB_CTX_PARAM KER_BYTE *pbtDateTimeBuffer, KER_BYTE btDateTimeBufferLen)

Provides local terminal date & time for Kernel.

Parameters

  [out] | pbtDateTimeBuffer | Buffer to obtain local terminal date and time as YYYYMMDDHHMMSS (bcd)
  [in] | btDateTimeBufferLen | pbtDateTimeBuffer buffer length

Returns
  0 Failure.
  Length of stored buffer. (7 bytes assumed)

## ◆ T_NFC_CALLBACK_SYS_GET_UTC_DATE_TIME

typedef KER_BYTE(CLB_API * T_NFC_CALLBACK_SYS_GET_UTC_DATE_TIME) (T_NFC_CLB_CTX_PARAM KER_BYTE *pbtDateTimeBuffer, KER_BYTE btDateTimeBufferLen)

Provides terminal UTC date & time for Kernel.

Parameters

  [out] | pbtDateTimeBuffer | Buffer to obtain terminal UTC date and time as YYYYMMDDHHMMSS (bcd)
  [in] | btDateTimeBufferLen | pbtDateTimeBuffer buffer length

Returns
  0 Failure.
  Length of stored buffer. (7 bytes assumed)

## Function Documentation

## ◆ hal_sys_get_100microsec_time_stamp()

KER_INT32U hal_sys_get_100microsec_time_stamp | ( | KER_CTX_SINGLE_PARAM |  | ) |

Provides terminal timestamp for Kernel (in 100 microsec resolution)

Returns
  Timestamp (in 100 microsec resolution)

## ◆ hal_sys_get_date_time()

KER_BYTE hal_sys_get_date_time | ( | KER_CTX_PARAM KER_BYTE * | pbtDateTimeBuffer,
|  | KER_BYTE | btDateTimeBufferLen
| ) |  |

Provides local terminal date & time for Kernel.

Parameters

  [out] | pbtDateTimeBuffer | Buffer to obtain local terminal date and time as YYYYMMDDHHMMSS (bcd)
  [in] | btDateTimeBufferLen | pbtDateTimeBuffer buffer length

Returns
  0 Failure.
  Length of stored buffer. (7 bytes assumed)

## ◆ hal_sys_get_utc_date_time()

KER_BYTE hal_sys_get_utc_date_time | ( | KER_CTX_PARAM KER_BYTE * | pbtDateTimeBuffer,
|  | KER_BYTE | btDateTimeBufferLen
| ) |  |

Provides terminal UTC date & time for Kernel.

Parameters

  [out] | pbtDateTimeBuffer | Buffer to obtain terminal UTC date and time as YYYYMMDDHHMMSS (bcd)
  [in] | btDateTimeBufferLen | pbtDateTimeBuffer buffer length

Returns
  0 Failure.
  Length of stored buffer. (7 bytes assumed)

## ◆ hal_sys_sleep()

KER_VOID hal_sys_sleep | ( | KER_CTX_PARAM KER_INT32U | ulTimeout | ) |

Sleeps for specified timeout.

Parameters

  [in] | ulTimeout | Sleep timeout in msec